
Robotics Service Bus - Bug #308
Separate interrupt and deactivate of SpreadConnection
05/24/2011 04:53 PM - J. Wienke

Status: Resolved Start date: 05/24/2011
Priority: High Due date: 05/27/2011
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 1.00 hour
Target version: 0.3
Description

We want interruptible receive calls (interrupt method) and a separate deactivate which disconnects the mailbox but also interrupts
waiting receiver threads before. Right now the destructor does not disconnect. We need a condition in receive where deactivate can
wait on to not disconnect the connection until all receiving threads are gone.

Associated revisions
Revision 32a4cc15 - 06/08/2011 04:53 PM - J. Wienke

    -  improved deactivation logic of SpreadConnection and clearly documented it
    -  throw errors in SpreadConnection if sending fails instead of bool return value which can easily be ignored

fixes #308
refs #303

History
#1 - 05/26/2011 08:07 PM - J. Moringen
- Target version changed from 0.2 to 0.3

#2 - 06/08/2011 02:27 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#3 - 06/08/2011 05:00 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r1445.
